Loading...
Searching...
No Matches
raptor::positive_integer_validator Class Reference

## Public Types

using | option_value_type = size_t

## Public Member Functions

std::string | get_help_page_message () const
void | operator() (option_value_type const &val) const
positive_integer_validator & | operator= (positive_integer_validator &&)=default
positive_integer_validator & | operator= (positive_integer_validator const &)=default
| positive_integer_validator (bool const is_zero_positive_)
| positive_integer_validator (positive_integer_validator &&)=default
| positive_integer_validator (positive_integer_validator const &)=default

## Private Attributes

bool | is_zero_positive {false}

The documentation for this class was generated from the following file:

- validators.hpp